.m-settings {
  list-style: none;
  padding: 0;
  margin: -1rem 0;

  &__item {
    border-bottom: 2px solid var(--black-25);
    padding: 1rem 0;

    &:last-child {
      border-bottom: none;
    }
  }

  &__title {
    font-weight: 500;
    font-size: 1.1rem;
    margin-bottom: 0.5rem;
  }

  &__value {
    color: var(--black-75);
  }

  &__is-loading {
    width: 14rem;
    height: 1.2rem;
    margin: 0.2rem 0 0.475rem;
  }

  &__is-loading-value {
    width: 11rem;
    height: 0.85rem;
    margin: 0.36rem 0 0.15rem;
  }

  &__is-loading,
  &__is-loading-value {
    overflow: hidden;
    position: relative;
    background-color: var(--black-0);
    border-radius: 0.25rem;

    &::after {
      position: absolute;
      content: "";
      display: block;
      width: 100%;
      top: 0;
      bottom: 0;
      transform: translateX(0);
      animation-name: data-loading;
      animation-iteration-count: infinite;
      animation-timing-function: linear;
      animation-duration: 1.5s;
      background-image: linear-gradient(
        90deg,
        transparent 0%,
        darken(#eee, 7.5%) 10%,
        darken(#eee, 7.5%) 25%,
        transparent 35%
      );
    }
  }
}
